/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20160212-64
 * Copyright (c) 2000 - 2016 Intel Corporation
 * 
 * Disassembling to symbolic ASL+ operators
 *
 * Disassembly of ssdt2.dat, Sat Aug 13 18:53:35 2016
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000004A3 (1187)
 *     Revision         0x02
 *     Checksum         0xAC
 *     OEM ID           "INTEL "
 *     OEM Table ID     "zpodd"
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20120913 (538052883)
 */
DefinitionBlock ("ssdt2.aml", "SSDT", 2, "INTEL ", "zpodd", 0x00001000)
{

    External (_SB_.GGIV, UnknownObj)
    External (_SB_.PCI0.GEXP.SGEP, MethodObj)    // 3 Arguments
    External (_SB_.PCI0.SAT0, UnknownObj)
    External (_SB_.PCI0.SAT0.PRT1, DeviceObj)
    External (_SB_.PCI0.SAT0.PRT3, DeviceObj)
    External (_SB_.SGOV, MethodObj)    // 2 Arguments
    External (BID_, IntObj)
    External (RCG0, UnknownObj)

    If (((RCG0 & One) && One))
    {
        Scope (\_SB.PCI0.SAT0.PRT1)
        {
            Method (_DSM, 4, Serialized)  // _DSM: Device-Specific Method
            {
                Name (_T_4, Zero)  // _T_x: Emitted by ASL Compiler
                Name (_T_3, Zero)  // _T_x: Emitted by ASL Compiler
                Name (_T_2, Zero)  // _T_x: Emitted by ASL Compiler
                Name (_T_1, Zero)  // _T_x: Emitted by ASL Compiler
                Name (_T_0, Zero)  // _T_x: Emitted by ASL Compiler
                If ((Arg0 == ToUUID ("bdfaef30-aebb-11de-8a39-0800200c9a66")))
                {
                    While (One)
                    {
                        _T_0 = ToInteger (Arg2)
                        If ((_T_0 == Zero))
                        {
                            While (One)
                            {
                                _T_1 = ToInteger (Arg1)
                                If ((_T_1 == One))
                                {
                                    While (One)
                                    {
                                        _T_2 = BID /* External reference */
                                        If ((_T_2 == 0x0B))
                                        {
                                            Return (Buffer (One)
                                            {
                                                 0x0F                                             /* . */
                                            })
                                        }
                                        ElseIf ((Match (Package (0x04)
                                                        {
                                                            0x43, 
                                                            0x51, 
                                                            0x44, 
                                                            0x45
                                                        }, MEQ, _T_2, MTR, Zero, Zero) != Ones))
                                        {
                                            Return (Buffer (One)
                                            {
                                                 0x0F                                             /* . */
                                            })
                                        }
                                        Else
                                        {
                                            Return (Buffer (One)
                                            {
                                                 0x00                                             /* . */
                                            })
                                        }

                                        Break
                                    }
                                }
                                Else
                                {
                                    Return (Buffer (One)
                                    {
                                         0x00                                             /* . */
                                    })
                                }

                                Break
                            }
                        }
                        ElseIf ((_T_0 == One))
                        {
                            Return (One)
                        }
                        ElseIf ((_T_0 == 0x02))
                        {
                            While (One)
                            {
                                _T_3 = BID /* External reference */
                                If ((_T_3 == 0x0B))
                                {
                                    \_SB.PCI0.GEXP.SGEP (Zero, 0x17, Zero)
                                }
                                ElseIf ((Match (Package (0x04)
                                                {
                                                    0x43, 
                                                    0x51, 
                                                    0x44, 
                                                    0x45
                                                }, MEQ, _T_3, MTR, Zero, Zero) != Ones))
                                {
                                    \_SB.SGOV (0x01060001, Zero)
                                }

                                Break
                            }

                            Return (One)
                        }
                        ElseIf ((_T_0 == 0x03))
                        {
                            While (One)
                            {
                                _T_4 = BID /* External reference */
                                If ((_T_4 == 0x0B))
                                {
                                    \_SB.PCI0.GEXP.SGEP (Zero, 0x17, One)
                                }
                                ElseIf ((Match (Package (0x02)
                                                {
                                                    0x43, 
                                                    0x51
                                                }, MEQ, _T_4, MTR, Zero, Zero) != Ones))
                                {
                                    If ((\_SB.GGIV == 0x01040001))
                                    {
                                        Zero
                                        \_SB.SGOV (0x01060001, One)
                                    }
                                }
                                ElseIf ((Match (Package (0x02)
                                                {
                                                    0x44, 
                                                    0x45
                                                }, MEQ, _T_4, MTR, Zero, Zero) != Ones))
                                {
                                    If ((\_SB.GGIV == 0x01050000))
                                    {
                                        Zero
                                        \_SB.SGOV (0x01060001, One)
                                    }
                                }

                                Break
                            }

                            Sleep (0x0A)
                            Return (One)
                        }
                        Else
                        {
                            Return (Zero)
                        }

                        Break
                    }
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        Scope (\_SB.PCI0.SAT0.PRT3)
        {
            Method (_DSM, 4, Serialized)  // _DSM: Device-Specific Method
            {
                Name (_T_4, Zero)  // _T_x: Emitted by ASL Compiler
                Name (_T_3, Zero)  // _T_x: Emitted by ASL Compiler
                Name (_T_2, Zero)  // _T_x: Emitted by ASL Compiler
                Name (_T_1, Zero)  // _T_x: Emitted by ASL Compiler
                Name (_T_0, Zero)  // _T_x: Emitted by ASL Compiler
                If ((Arg0 == ToUUID ("bdfaef30-aebb-11de-8a39-0800200c9a66")))
                {
                    While (One)
                    {
                        _T_0 = ToInteger (Arg2)
                        If ((_T_0 == Zero))
                        {
                            While (One)
                            {
                                _T_1 = ToInteger (Arg1)
                                If ((_T_1 == One))
                                {
                                    While (One)
                                    {
                                        _T_2 = BID /* External reference */
                                        If ((_T_2 == 0x0B))
                                        {
                                            Return (Buffer (One)
                                            {
                                                 0x0F                                             /* . */
                                            })
                                        }
                                        ElseIf ((Match (Package (0x04)
                                                        {
                                                            0x43, 
                                                            0x51, 
                                                            0x44, 
                                                            0x45
                                                        }, MEQ, _T_2, MTR, Zero, Zero) != Ones))
                                        {
                                            Return (Buffer (One)
                                            {
                                                 0x0F                                             /* . */
                                            })
                                        }
                                        Else
                                        {
                                            Return (Buffer (One)
                                            {
                                                 0x00                                             /* . */
                                            })
                                        }

                                        Break
                                    }
                                }
                                Else
                                {
                                    Return (Buffer (One)
                                    {
                                         0x00                                             /* . */
                                    })
                                }

                                Break
                            }
                        }
                        ElseIf ((_T_0 == One))
                        {
                            Return (One)
                        }
                        ElseIf ((_T_0 == 0x02))
                        {
                            While (One)
                            {
                                _T_3 = BID /* External reference */
                                If ((_T_3 == 0x0B))
                                {
                                    \_SB.PCI0.GEXP.SGEP (Zero, 0x17, Zero)
                                }
                                ElseIf ((Match (Package (0x04)
                                                {
                                                    0x43, 
                                                    0x51, 
                                                    0x44, 
                                                    0x45
                                                }, MEQ, _T_3, MTR, Zero, Zero) != Ones))
                                {
                                    \_SB.SGOV (0x01060001, Zero)
                                }

                                Break
                            }

                            Return (One)
                        }
                        ElseIf ((_T_0 == 0x03))
                        {
                            While (One)
                            {
                                _T_4 = BID /* External reference */
                                If ((_T_4 == 0x0B))
                                {
                                    \_SB.PCI0.GEXP.SGEP (Zero, 0x17, One)
                                }
                                ElseIf ((Match (Package (0x02)
                                                {
                                                    0x43, 
                                                    0x51
                                                }, MEQ, _T_4, MTR, Zero, Zero) != Ones))
                                {
                                    If ((\_SB.GGIV == 0x01040001))
                                    {
                                        Zero
                                        \_SB.SGOV (0x01060001, One)
                                    }
                                }
                                ElseIf ((Match (Package (0x02)
                                                {
                                                    0x44, 
                                                    0x45
                                                }, MEQ, _T_4, MTR, Zero, Zero) != Ones))
                                {
                                    If ((\_SB.GGIV == 0x01050000))
                                    {
                                        Zero
                                        \_SB.SGOV (0x01060001, One)
                                    }
                                }

                                Break
                            }

                            Sleep (0x0A)
                            Return (One)
                        }
                        Else
                        {
                            Return (Zero)
                        }

                        Break
                    }
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        Scope (\_GPE)
        {
            Method (_E02, 0, Serialized)  // _Exx: Edge-Triggered GPE
            {
                Name (_T_0, Zero)  // _T_x: Emitted by ASL Compiler
                While (One)
                {
                    _T_0 = BID /* External reference */
                    If ((Match (Package (0x04)
                                    {
                                        0x43, 
                                        0x51, 
                                        0x44, 
                                        0x45
                                    }, MEQ, _T_0, MTR, Zero, Zero) != Ones))
                    {
                        If ((\_SB.GGIV == 0x01040001))
                        {
                            Zero
                            \_SB.SGOV (0x01060001, One)
                        }

                        Notify (\_SB.PCI0.SAT0, 0x81) // Information Change
                    }
                    Else
                    {
                        Return (Zero)
                    }

                    Break
                }
            }
        }
    }
}

